<?php
////////////////////////////////////////////////////////////////////
class MySQLException extends Exception{
  //brak nowych danych składowych
  public function __construct($message, $errorno){
    //szuka błędów programisty
    if($errorno >= 5000){
      $message = __CLASS__  ." typ. NIewłaściwe użycie klasy. ". $message;
    }else{
      $message = __CLASS__  . " - ". $message;
    }
    //wywołanie konstruktora klasy Exception
    parent::__construct($message, $errorno);
  }
  //przesłonięcie  __tostring
  public function __toString(){
    return ("Błąd: $this->kod - $this->komunikat");
  }
}
?>
